const __VLS_props = defineProps();
const emit = defineEmits();
function toDateValue(value) { if (!value)
    return ''; if (value instanceof Date)
    return value.toISOString().slice(0, 10); return value.slice(0, 10); }
function boundary(value) { return value?.toISOString().slice(0, 10); }
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
__VLS_asFunctionalElement1(__VLS_intrinsics.input)({
    ...{ onInput: (...[$event]) => {
            return (__VLS_ctx.emit('update:modelValue', $event.target.value || null));
            // @ts-ignore
            [emit,];
        } },
    ...{ onBlur: (...[$event]) => {
            return (__VLS_ctx.emit('blur', $event));
            // @ts-ignore
            [emit,];
        } },
    id: (__VLS_ctx.inputId),
    ...{ class: "ks-native-input" },
    type: "date",
    value: (__VLS_ctx.toDateValue(__VLS_ctx.modelValue)),
    disabled: (__VLS_ctx.disabled),
    'aria-invalid': (__VLS_ctx.invalid || undefined),
    min: (__VLS_ctx.boundary(__VLS_ctx.min)),
    max: (__VLS_ctx.boundary(__VLS_ctx.max)),
});
/** @type {__VLS_StyleScopedClasses['ks-native-input']} */ ;
// @ts-ignore
[inputId, toDateValue, modelValue, disabled, invalid, boundary, boundary, min, max,];
const __VLS_export = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
});
export default {};
